#ifndef DOT_H
#define DOT_H

#include "Creature.h"
#include <2D/Animation2D.h>

class Dot : public Creature
{
public:
	Dot( Level * level, Scene2D * scene, int x, int y );

	virtual void life_cycle(float delta_time);
	virtual String get_name()const;
	virtual float get_size()const;
	virtual void process_collision(const Creature * cre);
	virtual bool is_solid()const;
	virtual void process_death(const Creature * cre);
	virtual bool is_alive()const;
private:
	Animation2D anim;
	bool alive;
};

#endif //DOT_H