#include "CellWall.h"
#include <String.hpp>

CellWall::CellWall(Scene2D * scene, int x, int y, int neighbours_mask)
:	anim( scene, 1, "data/wall" )
{
	anim.start( neighbours_mask, true );
	anim.move( anim.get_width(0,0) * x, anim.get_height(0,0) * y );
}

bool CellWall::can_pass(const Creature * cre)const
{
	return false;
}
