#ifndef CREATURES_H
#define CREATURES_H

#include <vector>
#include "Creature.h"

/**
 * @stereotype container 
 */
class Creatures : public std::vector<Creature *>
{
public:
	void life_cycle( float delta_time )
	{
		iterator it = begin();
		for( ; it != end(); ++it )
			(*it)->life_cycle( delta_time );
	}
	void process_death( Creature * creature )
	{
		iterator it = begin();
		for( ; it != end(); ++it )
			(*it)->process_death( creature );
	}
private:
    /** @link aggregation */
    /*#  Creature lnkCreature; */
};
#endif //CREATURES_H