#ifndef GAME_H
#define GAME_H

#include <2D/FontObject2D.h>

class Level;
class Pacman;
class Scene2D;

class Game
{
public:
	explicit Game(Scene2D * scene);
	virtual ~Game();

	void key_up(int scan_code);
	void key_down(int scan_code);
	void life_cycle(float delta_time);
private:
    /**
     * @supplierCardinality 1 
     */
	Level * level;

    /**
     * @supplierCardinality 1 
     */
	Pacman * pacman;
	Scene2D * const scene;

	FontObject2D lives_text;
	FontObject2D score_text;
};

#endif //GAME_H