#ifndef PACMANINTERFACE2D_H
#define PACMANINTERFACE2D_H

#include <2D/Interface2D.h>
#include <2D/Scene2D.h>
#include <2D/Animation2D.h>
#include <2D/FontObject2D.h>
#include "FPS.h"
#include "Game.h"

class PacmanInterface2D : public Interface2D
{
	Scene2D scene; //   ,    
	bool need_quit;
	FPS fps;

	FontObject2D fps_text;
	float time;
	Game game;
public:	
	PacmanInterface2D(Hardware2D * hardware);
	virtual ~PacmanInterface2D();

	virtual bool life_cycle(float delta_time);	
	virtual bool render();

	virtual void key_up(int scan_code);
	virtual void key_down(int scan_code);
};
#endif //PACMANINTERFACE2D_H